Create HTML page
Creates a new HTML page.
Request
POST
https://api.datalens.tech/rpc/createHtmlPage
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"content": "example",
"annotation": {
"description": "example"
},
"key": "example",
"workbookId": "example",
"name": "example"
}
All of 2 types
-
Type: object
content
Type: string
HTML content of the page.
Max length:
10485760Example:
exampleannotation
Type: object
description
Type: string
Description of the entry.
Example:
exampleAnnotation of the HTML page.
Example
{ "description": "example" }Example
{ "content": "example", "annotation": { "description": "example" } } -
Type: EntryLocationIdentifiers
Example
{ "key": "example", "workbookId": "example", "name": "example" }
EntryLocationIdentifiers
|
Name |
Description |
|
key |
Type: string Entry key when creating the entry in a folder. Example: |
|
name |
Type: string Entry name when creating the entry in a workbook. Example: |
|
workbookId |
Type: string ID of the workbook where the entry should be created. Example: |
Example
{
"key": "example",
"workbookId": "example",
"name": "example"
}
Responses
200 OK
Response
Body
application/json
{
"entry": {
"entryId": "example",
"scope": "artifact",
"type": "html-page",
"key": "example",
"workbookId": "example",
"collectionId": "example",
"revId": "example",
"savedId": "example",
"publishedId": "example",
"data": {},
"meta": {
"objectId": "example",
"policyVersion": 0.5
},
"annotation": {
"description": "example"
},
"createdBy": "example",
"createdAt": "example",
"updatedBy": "example",
"updatedAt": "example",
"revUpdatedBy": "example",
"revUpdatedAt": "example",
"tenantId": "example",
"hidden": true,
"version": 1,
"public": true,
"links": {},
"isFavorite": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
},
"warnings": [
"example"
]
}
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
entry |
Type: object
Created HTML page entry. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
warnings |
Type: string[] Warning codes generated while processing the HTML content. Example
|